/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.common;

import org.eclipse.cosmos.rm.validation.internal.databuilders.DataBuilderRegistry;
import org.eclipse.cosmos.rm.validation.internal.databuilders.IDataBuilder;

/**
 * Provides common utility method used by multiple classes under
 * different pacakges 
 * 
 * @author Ali Mehregani
 */
public class SMLCommonUtil
{
	/**
	 * A helper method provided to retrieve the data structure for a databuilder
	 * with the given id.
	 * 
	 * @param id The data builder id
	 */
	public static Object retrieveDataStructure(String databuilderId)
	{
		IDataBuilder databuilder = DataBuilderRegistry.instance().getDataStructureBuilder(databuilderId);
		if (databuilder == null)
			return null;
		
		return databuilder.getDataStructure();
	}
}
